Package twisted :: Package scripts :: Module tktwistd

[show private | hide private]
[frames | no frames]

## Module twisted.scripts.tktwistd

Implementation module for the graphical version of the `twistd` command.

Variable Summary
`tuple` | `FILE_TYPES`
`SelectReactor` | `reactor`
`FakeModule` | `tkCommonDialog`
`FakeModule` | `tkFileDialog`
`FakeModule` | `Tkinter`
`FakeModule` | `tkMessageBox`

Variable Details

### FILE_TYPES

  Type:
    `tuple`
  Value:

        (('Twisted Application Pickle', '*.tap'),
         ('Twisted Application Source', '*.tas'),
         ('Twisted Application XML', '*.tax'),
         ('Encrypted Application Pickle', '*.etap'),
         ('Encrypted Application Source', '*.etas'),
         ('Encrypted Application XML', '*.etax'),
         ('All Files', '*'))

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x82e8c8c>

### tkCommonDialog

  Type:
    `FakeModule`
  Value:

        <Fake tkCommonDialog>

### tkFileDialog

  Type:
    `FakeModule`
  Value:

        <Fake tkFileDialog>

### Tkinter

  Type:
    `FakeModule`
  Value:

        <Fake Tkinter>

### tkMessageBox

  Type:
    `FakeModule`
  Value:

        <Fake tkMessageBox>

Generated by Epydoc 1.1 on Thu May 8 13:16:52 2003 | http://epydoc.sf.net